Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.faces
Class FactoryFinder

    java.lang.Object
      javax.faces.FactoryFinder

public final class FactoryFinder
extends java.lang.Object

Version:
  $Revision: 278974 $ $Date: 2005-09-06 07:07:21 -0400 (Tue, 06 Sep 2005) $
Author:
  Manfred Geiler (latest modification by $Author: baranda $)

Field Summary
`static java.lang.String` | `APPLICATION_FACTORY`
`static java.lang.String` | `FACES_CONTEXT_FACTORY`
`static java.lang.String` | `LIFECYCLE_FACTORY`
`static java.lang.String` | `RENDER_KIT_FACTORY`

Method Summary
`static java.lang.Object` | `getFactory(java.lang.String factoryName)`
`static void` | `releaseFactories()`
`static void` | `setFactory(java.lang.String factoryName, java.lang.String implName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### APPLICATION_FACTORY

    public static final java.lang.String APPLICATION_FACTORY

See Also:
  Constant Field Values

### FACES_CONTEXT_FACTORY

    public static final java.lang.String FACES_CONTEXT_FACTORY

See Also:
  Constant Field Values

### LIFECYCLE_FACTORY

    public static final java.lang.String LIFECYCLE_FACTORY

See Also:
  Constant Field Values

### RENDER_KIT_FACTORY

    public static final java.lang.String RENDER_KIT_FACTORY

See Also:
  Constant Field Values

Method Detail

### getFactory

    public static java.lang.Object getFactory(java.lang.String factoryName)
                                       throws FacesException

  Throws:
    `FacesException`

### setFactory

    public static void setFactory(java.lang.String factoryName,
                                  java.lang.String implName)

### releaseFactories

    public static void releaseFactories()
                                 throws FacesException

  Throws:
    `FacesException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD